Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## swarm.objectbase
Class MessageProbeCImpl

    java.lang.Object
      |
      +--swarm.BaseImpl
            |
            +--swarm.PhaseCImpl
                  |
                  +--swarm.objectbase.MessageProbeCImpl

public class MessageProbeCImpl
extends PhaseCImpl
implements ProbeC, ProbeS, MessageProbeS, MessageProbeC

A class that allows the user to call a given message on any candidate that is an instance of, or inherits from, a given class.. This is a specialized subclass of the abstract class Probe. It completes the specification of a probe that refers to a message element of an object.

Fields inherited from class swarm.PhaseCImpl
`nextPhase`

Constructor Summary
`MessageProbeCImpl()`
`MessageProbeCImpl(MessageProbe nextPhase)`

Methods implemented by this class for interface swarm.objectbase.ProbeC
`setProbedClass, setProbedObject`

Methods implemented by this class for interface swarm.objectbase.ProbeS
`setSafety, unsetSafety`

Methods implemented by this class for interface swarm.objectbase.MessageProbeS
`setHideResult`

Methods implemented by this class for interface swarm.objectbase.MessageProbeC
`create$setProbedSelector, setProbedMethodName, setProbedSelector`

Methods implemented by this class for interface swarm.defobj.CreateC
`create, createBegin, createEnd`

Methods implemented by this class for interface swarm.defobj.CustomizeC
`customizeBegin, customizeCopy, customizeEnd`

Methods inherited from class swarm.PhaseCImpl
`_copy_creating_phase_to_using_phase`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MessageProbeCImpl

    public MessageProbeCImpl(MessageProbe nextPhase)

### MessageProbeCImpl

    public MessageProbeCImpl()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD